﻿:Namespace Contest2019

    AboutMe←,⊂'Tell us a bit about yourself'
  ⍝ AboutMe,←⊂''  ⍝ copy, uncomment, and edit this line if you need more space

    Reaction←,⊂'Please share your thoughts about the 2019 competition'
  ⍝ Reaction,←⊂''  ⍝ copy, uncomment, and edit this line if you need more space


    :Namespace Problems
        (⎕IO ⎕ML ⎕WX)←1 1 3

        ∇ r←AbbreviateIPv6 addr
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 3, Problem 1 - AbbreviateIPv6
      ⍝ Put your code and comments below here
        ∇

        ∇ moves←AllMoves fen
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 2, Problem 1 - AllMoves
      ⍝ Put your code and comments below here
        ∇

        ∇ dice←BoggleDice
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Returns "official" Boggle dice specifications
      ⍝ used with
          dice←'AACIOT' 'ABILTY'('ABJMO',⊂'QU')'ACDEMP' 'ACELRS' 'ADENVZ' 'AHMORS' 'BIFORX' 'DENOSW' 'DKNOTU' 'EEFHIY' 'EGKLUY' 'EGINTV' 'EHINPS' 'ELPSTU' 'GILRUW'
        ∇

        ∇ score←BoggleScore found
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 1, Problem 4 - BoggleScore
      ⍝ Put your code and comments below here
        ∇

        ∇ r←Checkmate fen
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 2, Problem 2 - Checkmate
      ⍝ Put your code and comments below here
        ∇

        ∇ r←Components graph
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 1, Problem 3 - Components
      ⍝ Put your code and comments below here
        ∇

        ∇ counts←CountMines board
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 3, Problem 3 - CountMines
      ⍝ Put your code and comments below here
        ∇

        ∇ r←Degrees graph
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 1, Problem 1 - Degrees
      ⍝ Put your code and comments below here
        ∇

        ∇ r←DoubleDegrees graph
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 1, Problem 2 - DoubleDegrees
      ⍝ Put your code and comments below here
        ∇

        ∇ r←ExpandIPv6 addr
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 3, Problem 1 - ExpandIPv6
      ⍝ Put your code and comments below here
        ∇

        ∇ found←words FindWords board
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 1, Problem 3 - FindWords
      ⍝ Put your code and comments below here
        ∇

        ∇ words←GetWordList file
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 1, Problem 2 - GetWordList
      ⍝ Put your code and comments below here
        ∇

        ∇ msg←grille Grille mat
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 1, Problem 1 - Grille
      ⍝ Put your code and comments below here
        ∇

        ∇ board←size MakeBoard dice
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 1, Problem 1 - MakeBoard
      ⍝ Put your code and comments below here
        ∇

        ∇ board←mines MakeMines size
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 3, Problem 3 - MakeMines
      ⍝ Put your code and comments below here
        ∇

        ∇ merged←matrix Merge metric
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 3, Problem 2 - Merge
      ⍝ Put your code and comments below here
        ∇

        ∇ r←NumNumNum n
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 3, Problem 2 - NumNumNum
      ⍝ Put your code and comments below here
        ∇

        ∇ r←cube Order alg
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 3, Problem 3 - Order
      ⍝ Put your code and comments below here
        ∇

        ∇ rho←X Pearson Y
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 3, Problem 3 - Pearson
      ⍝ Put your code and comments below here
        ∇

        ∇ r←PigLatin msg
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 2, Problem 3 - PigLatin
      ⍝ Put your code and comments below here
        ∇

        ∇ fen←PositionAfter pgn
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 2, Problem 3 - PositionAfter
      ⍝ Put your code and comments below here
        ∇

        ∇ data←ReadCIA file
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 3, Problem 1 - ReadCIA
      ⍝ Put your code and comments below here
        ∇

        ∇ r←Rovarspraket msg
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 2, Problem 2 - Rovarspraket
      ⍝ Put your code and comments below here
        ∇

        ∇ msg←TapDec enc
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 1, Problem 2 - TapDec
      ⍝ Put your code and comments below here
        ∇

        ∇ enc←TapEnc msg
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 1, Problem 3 - TapEnc
      ⍝ Put your code and comments below here
        ∇

        ∇ msg←key TransDec enc
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 1, Problem 2 - TransDec
      ⍝ Put your code and comments below here
        ∇

        ∇ enc←key TransEnc msg
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 1, Problem 2 - TransEnc
      ⍝ Put your code and comments below here
        ∇

        ∇ r←alg Twist cube
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 3, Problem 2 - Twist
      ⍝ Put your code and comments below here
        ∇

        ∇ r←UbbiDubbi msg
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Easy Problem Set 2, Problem 1 - UbbiDubbi
      ⍝ Put your code and comments below here
        ∇

        ∇ r←Unfold cube
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Difficult Problem Set 3, Problem 1 - Unfold
      ⍝ Put your code and comments below here
        ∇

        ∇ rho←metric1(table Analyze)metric2
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 3, Problem 3 - Analyze
      ⍝ Put your code and comments below here
        ∇

        ∇ r←n(f Romberg)interval
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 2, Problem 1 - Romberg
      ⍝ Put your code and comments below here
        ∇

        ∇ r←n(f Simpson)interval
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 2, Problem 1 - Simpson
      ⍝ Put your code and comments below here
        ∇

        ∇ r←n(f Trapezoid)interval
      ⍝ 2019 APL Problem Solving Competition Phase II
      ⍝ Stub function for Medium Problem Set 2, Problem 1 - Trapezoid
      ⍝ Put your code and comments below here
        ∇

    :EndNamespace
:EndNamespace
